<script setup lang="ts">
import CustomerDialog from '@/components/CustomerDialog.vue'
import { useMemberStore } from '@/stores/member'
import { onMounted } from 'vue'

const memberStore = useMemberStore()

onMounted(() => {
  memberStore.getAll()
})
</script>

<template>
  <CustomerDialog />
  <v-data-table
    class="h-100"
    fixed-header
    :headers="memberStore.headers"
    :items="memberStore.items"
    style="background-color: rgba(58, 49, 43, 0.923)"
  >
    <!-- :search="search" -->
    <template #top>
      <v-card class="pa-5">
        <v-row>
          <v-col>
            <h2>Customer Management</h2>
          </v-col>
          <v-col cols="1">
            <v-btn @click="memberStore.openDialog()"> NEW </v-btn>
          </v-col>
        </v-row>
      </v-card>
    </template>

    <template #item="{ item }">
      <tr>
        <td>{{ item.id }}</td>
        <td>{{ item.fName }}</td>
        <td>{{ item.lName }}</td>
        <td>{{ item.tel }}</td>
        <td>{{ item.point }}</td>
        <td>{{ item.birthDate }}</td>
        <td>
          <v-icon size="small" class="me-2" @click="memberStore.editItem(item)">
            mdi-pencil
          </v-icon>
          <v-icon size="small" @click="memberStore.deleteItem(item)"> mdi-delete </v-icon>
        </td>
      </tr>
    </template>
  </v-data-table>
</template>

<style scoped></style>
